﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: phil
 * Dátum: 2011.06.24.
 * Idő: 15:41
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */
using System;

namespace TetheredSun.GnuPlot
{
	[Flags]
	public enum Border {		// In 'plot' | in 'splot' 
		Bottom = 1,				// bottom | bottom left front
		Left = 2,				// left | bottom left back
		Top = 4,				// top | bottom right front
		Right = 8,				// right | bottom right back
		LeftVertical = 16,		// — | left vertical
		BackVertical = 32,		// — | back vertical
		RightVertical = 64,		// — | right vertical
		FrontVertical = 128,	// — | front vertical
		TopLeftBack = 256,		// — | top left back
		TopRightBack = 512,		// — | top right back
		TopLeftFront = 1024, 	// — | top left front
		TopRightFront = 2048	// — | top right front
	}
}
