﻿/*
 * Created by SharpDevelop.
 * User: phil
 * Date: 2010.12.30.
 * Time: 14:49
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;
//
using TetheredSun.Mathematics;

namespace TetheredSun.Medical
{
	/// <summary>
	/// Description of IntervalMean.
	/// </summary>
	public class SuccessiveDifferenceRms : SuccessiveDifferenceParameter
	{
		public SuccessiveDifferenceRms(string unit)
		{
			this.unit = unit;
			this.name = "Successive difference root mean square";
			this.value = Double.NaN;
		}
		
		public SuccessiveDifferenceRms() : this("s") { }
		
		public override double Evaluate(IList<double> intervals)
		{
			value =  intervals.GetRms();
			return value;
		}
	}
}
