﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: phil
 * Dátum: 2009.05.07.
 * Idő: 15:26
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */

using System;
using System.Collections.Generic;
//
using TetheredSun;

namespace TetheredSun.SignalAnalysis
{
	public interface IScale : IXmlConvertible
	{
		int Count { get; set; }
		string Name { get; set; }
		string Unit { get; set; }
		double StartValue { get; set; }
		double EndValue { get; }
		double Increment { get; }
		double this[int index] { get; }
		IList<double> Values { get; }
		bool IsLogarithmic { get; }
		
		IScale Clone();
	}
}
