﻿/*
 * Created by SharpDevelop.
 * User: phil
 * Date: 2010.08.17.
 * Time: 13:09
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;

namespace TetheredSun.Stochastic
{
	/// <summary>
	/// Description of IRandomGenerator.
	/// </summary>
	public interface IRandomGenerator
	{
		double ExpectedValue { get; }
		
		double Next();
		
		double[] GenerateSequence(int count);
		
		double ProbabilityDensity(double x);
	}
}
